#!/bin/sh

START_TIME=`date +%Y-%m-%d_%H:%M:%S`;
if [ ! -e '/home/mech/Documenti' ]; then
	MISSING_PATH=1
	echo -n Missing_destination_path:_ >> /var/log/gadmin-rsync/gadmin-rsync-LACIE.log
else
	MISSING_PATH=0
rsync --archive --human-readable --verbose --stats --log-file=/var/log/gadmin-rsync/gadmin-rsync-LACIE.log.details '/home/mech/Scrivania/copy-log-2.txt' '/home/mech/Documenti'
fi


if [ $? -eq 0 ] && [ $MISSING_PATH -eq 0 ]; then
   STOP_TIME=`date +%Y-%m-%d_%H:%M:%S`;
   echo "$START_TIME $STOP_TIME Backup successful: Source: [/home/mech/Scrivania/copy-log-2.txt] Destination: [/home/mech/Documenti]" >> /var/log/gadmin-rsync/gadmin-rsync-LACIE.log
else
   STOP_TIME=`date +%Y-%m-%d_%H:%M:%S`;
   echo "$START_TIME $STOP_TIME Backup failure:    Source: [/home/mech/Scrivania/copy-log-2.txt] Destination: [/home/mech/Documenti]" >> /var/log/gadmin-rsync/gadmin-rsync-LACIE.log
fi

